#pragma once
#include "LicUtilesDef.h"
#include "ClientLicDef.h"
#include "FileTransferDef.h"


class FileTransferClient;
class CLIC_EXPORT ClienteLicencias:  public LicClientEscucha, public FileTransferClientLisener
{
	CDialog *dprog;
	double porcen;
public:
	FileTransferClient *ft;
	int dias_pregun;
	bool cancelaDescarga;
	bool espera_dlg;
	char dirTemp[256];//directorio temporal para dejar el instalador
	char dirLic[256];//path para guardar la licencia y la ultima vez que se pregunto si descargar lic

	ClienteLicencias(void);
	~ClienteLicencias(void);
	
	bool cargaLicencia();

	virtual bool getClave(char* clave, char* producto );

	virtual void muestaError( char* info, char* producto );

	virtual bool descargaInstalador( Licencia *lic );

	void descargaVersion( Licencia *lic);

	virtual void setStatus( double porcent );

	virtual void finTransfer( bool finalFeliz );

	virtual bool getPathLic( char* path, char* producto );

	virtual bool cancelTransfer();

	private:
	bool preguntarDescarga();
};
